Name: libosip2
Summary: The GNU oSIP library
Version: 2.2.2
Release: alt1
License: LGPL
Group: System/Libraries
Url: http://www.gnu.org/software/osip/osip.html

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: http://ftp.gnu.org/gnu/osip/%name-%version.tar.gz

BuildRequires: gcc-c++

%description
This is "the GNU oSIP library". It has been designed to provide
the Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package devel
Summary: The GNU oSIP library - development files
Group: System/Libraries
Requires: %name = %version-%release

%description devel
Development files for the GNU oSIP library.

%package static
Summary: The GNU oSIP library - static version
Group: System/Libraries
Requires: %name-devel = %version-%release

%description static
Static version of the GNU oSIP library.

%def_disable static

%prep
%setup -q

%build
%configure \
	--enable-pthread \
	--enable-md5 \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS BUGS NEWS README TODO
%_libdir/lib*.so.*

%files devel
%_includedir/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%_man1dir/*

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Sat Sep 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Jun 29 2004 Gor <vg@altlinux.ru> 2.0.8-alt1
- try to package for Sisyphus

